Bug 134047 - bad alias strings
bad alias strings
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
Blocks: FC3Target FC4Target
  Show dependency treegraph
Reported: 2004-09-29 04:04 EDT by Harald Hoyer
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:09:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2004-09-29 04:04:03 EDT
$ /sbin/modinfo  raw1394
license:        GPL
alias:          char-major-171-0 * 16
vermagic:       2.6.8-1.526smp SMP 686 REGPARM 4KSTACKS gcc-3.4
depends:        ieee1394
alias:          ieee1394:ven*mo*sp0000A02Dver00010001*
alias:          ieee1394:ven*mo*sp0000A02Dver00000100*

Hmm, what does that mean????

alias:          char-major-171-0 * 16


The answer is: it's a bug in the kernel sources:
# fgrep MODULE_ALIAS /usr/src/linux-2.6.8-1.521/drivers/ieee1394/*
IEEE1394_MINOR_BLOCK_DV1394 * 16);
IEEE1394_MINOR_BLOCK_RAW1394 * 16);

MODULE_ALIAS_CHARDEV stringifies its arguments to generate the alias
string, thus generating "0 * 16" instead of 0, "1 * 16" instead of 16,
Comment 1 Dave Jones 2005-07-15 15:31:17 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:09:40 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.